Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.ejb
Class CurrentEntityManagerImpl

    java.lang.Object
      org.hibernate.ejb.AbstractEntityManagerImpl
          org.hibernate.ejb.CurrentEntityManagerImpl

All Implemented Interfaces:
  Serializable, EntityManager, HibernateEntityManager, HibernateEntityManagerImplementor

Deprecated. no longer used since getEntityManager is no longer here

    public class CurrentEntityManagerImpl

extends AbstractEntityManagerImpl

Author:
  Gavin King, Emmanuel Bernard
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class org.hibernate.ejb.AbstractEntityManagerImpl
`AbstractEntityManagerImpl.TupleBuilderTransformer`

Nested classes/interfaces inherited from interface org.hibernate.ejb.HibernateEntityManagerImplementor
`HibernateEntityManagerImplementor.Options`

Field Summary

Fields inherited from class org.hibernate.ejb.AbstractEntityManagerImpl
`persistenceContextType, tx`

Constructor Summary
`CurrentEntityManagerImpl(EntityManagerFactoryImpl entityManagerFactory, PersistenceUnitTransactionType transactionType, Map properties)` Deprecated.

Method Summary
`void` | `close()` Deprecated.
`protected Session` | `getRawSession()` Deprecated. Return a Session (even if the entity manager is closed).
`Session` | `getSession()` Deprecated. return a Session
`boolean` | `isOpen()` Deprecated.

Methods inherited from class org.hibernate.ejb.AbstractEntityManagerImpl
`clear, contains, convert, convert, convert, createNamedQuery, createNamedQuery, createNativeQuery, createNativeQuery, createNativeQuery, createQuery, createQuery, createQuery, createQuery, detach, determineAppropriateLocalCacheMode, find, find, find, find, flush, getCriteriaBuilder, getDelegate, getEntityManagerFactory, getFactory, getFlushMode, getLockMode, getLockRequest, getMetamodel, getProperties, getReference, getTransaction, handlePersistenceException, isTransactionInProgress, joinTransaction, lock, lock, markAsRollback, merge, persist, postInit, refresh, refresh, refresh, refresh, remove, setFlushMode, setProperty, throwPersistenceException, throwPersistenceException, unwrap, wrapLockException, wrapStaleStateException`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CurrentEntityManagerImpl

    public CurrentEntityManagerImpl(EntityManagerFactoryImpl entityManagerFactory,
                                    PersistenceUnitTransactionType transactionType,
                                    Map properties)

  Deprecated.

Method Detail

### getSession

    public Session getSession()

  Deprecated.
  Description copied from class: `AbstractEntityManagerImpl`
  return a Session

  Specified by:
    `getSession` in interface `HibernateEntityManager`
  Specified by:
    `getSession` in class `AbstractEntityManagerImpl`
  Returns:

### getRawSession

    protected Session getRawSession()

  Deprecated.
  Description copied from class: `AbstractEntityManagerImpl`
  Return a Session (even if the entity manager is closed).

  Specified by:
    `getRawSession` in class `AbstractEntityManagerImpl`
  Returns:
    A session.

### close

    public void close()

  Deprecated.

### isOpen

    public boolean isOpen()

  Deprecated.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.